input {
	sv-txt-font: look/$font-a-regular;
}

.form-fieldset {
	border-width: 0;
	border-style: none;
	padding: 0;
	margin-left: 0;
	margin-right: 0;
}

.form-group {
	display: flex;
	margin-top: look/$spacing-brick-top;
	margin-bottom: look/$spacing-brick-bottom;
	
	@Mobile {
		display: block;
	}
	
	&:first-child {
		margin-top: 0;
	}
	
	&:last-child {
		margin-bottom: 0;
	}
}

.form-group + .note {
	padding-left:200px;
	margin-top:-10px;
	
	@Mobile {
		padding-left:0;
	}
}

.text.paragraph.form-label {
	min-width: 200px;
	max-width: 200px;
	margin-bottom: 0;
	line-height: 20px;
	padding-top: 9px;
	
	@Mobile {
		display:inline-block;
		margin-bottom:10px;
	}
}

.form-caption { }

.form-error {
	.form-label {
		color: colors/$error;
	}
	.form-input {
		border-color: colors/$error;
	}
	.form-message {
		border-color: colors/$error;
	}
	.form-dropdown {
		border-color: colors/$error;
	}
	.form-checkbox {
		border-color: colors/$error;
	}
}

.form-required .form-label:after {
	content: '*';
	margin-left: 5px;
}

.form-input-wrapper {
	flex: 1 0 auto;
	
	&.icon {
		position: relative;
		
		&:before {
			font-size: 26px;
			position: absolute;
			line-height: 40px;
			top: 50%;
			right: 0;
			padding: 0 10px;
			pointer-events: none;
			transform: translateY(-50%);
		}
	}
	
	&.icon .form-input {
		padding-right: 34px;
	}
}

.g-recaptcha {
	max-width: 100%;
	
	> div {
		width: auto !important;
		max-width: 100%;
	}
	
	iframe {
		max-width: 100%;
	}
	
	.rc-anchor-normal {
		width: auto;
	}
}

.form-dropdown {
	width: 100%;
	appearance: none;
	cursor: pointer;
	background-color: colors/$grey7;
	
	&.selected {
		color:colors/$deco3;
		sv-txt-font: look/$font-a-bold;
	}
}

.form-input {
	width: 100%;
	outline: none;
	padding: 8px 10px 7px 10px;
	border-radius: 4px;
	font-size: look/$font-size-xs;
	sv-txt-font: look/$font-a-regular;
	
	border: 1px solid colors/$grey4;
}

textarea.form-input {
	height: 120px;
}

.form-checkbox-list {
	flex: 4 0 auto;
	padding: 7px 0;
}

.form-input-checkbox {
	margin-bottom: 10px;
	cursor: pointer;
	display: flex;
	
	&:last-child {
		margin-bottom: 0;
	}
	
	input {
		width: 20px;
		height: 20px;
		border-radius: 4px;
		border: solid 1px colors/$grey4;
		background-color: colors/$grey7;
		appearance: none;
		outline: none;
		cursor: pointer;
		position: relative;
		margin: 0 10px 0 0;
		vertical-align: middle;
		flex-shrink: 0;
	}
	
	input:checked:after {
		opacity: 100;
		color: colors/$deco3;
	}
	input:disabled {
		cursor: default;
	}
	input:disabled + label {
		cursor: default;
	}
	&:hover input:after {
		opacity: 30;
	}
	
	input:indeterminate:after {
		opacity: 100;
	}
	
	input:after {
		opacity: 0;
		position: absolute;
		content: 'C';
		sv-txt-font: look/$font-icons;
		color: colors/$deco1;
		font-size: 22px;
		top: 50%;
		left: 50%;
		transform: translateX(-50%) translateY(-50%);
	}
	
	input:indeterminate:after {
		content: 'Z';	
	}
	
	.text {
		line-height: 20px;
		vertical-align: middle;
		cursor: pointer;
		margin-top: 0;
	}
	
	.text.paragraph {
		line-height: 20px;
		vertical-align: middle;
		cursor: pointer;
		margin-top: 0;
	}
	
	.text.paragraph.form-label {
		padding-top: 0;
	}
}

.form-radio-list {
	flex: 4 0 auto;
	padding: 7px 0;
}

.form-input-radio {
	margin-bottom: 10px;
	cursor: pointer;
	display: flex;
	
	&:last-child {
		margin-bottom: 0;
	}
	
	input {
		width: 16px;
		height: 16px;
		border-radius: 20px;
		border: solid 1px colors/$grey3;
		background-color: colors/$grey7;
		appearance: none;
		outline: none;
		cursor: pointer;
		position: relative;
		margin: 0 10px 0 0;
		vertical-align: middle;
		flex-shrink: 0;
	}
	
	input:checked:after {
		opacity: 100;
	}
	input:disabled {
		cursor: default;
	}
	input:disabled + label {
		cursor: default;
	}
	
	&:hover input:after {
		opacity: 30;
	}
	
	input:after {
		content: '';
		opacity: 0;
		position: absolute;
		background-color: colors/$deco3;
		width: 8px;
		height: 8px;
		border-radius: 12px;
		top: 50%;
		left: 50%;
		transform: translateX(-50%) translateY(-50%);
	}
	
	.text {
		line-height: 18px;
		vertical-align: middle;
		cursor: pointer;
		margin-top: 0;
		margin-bottom: 0;
	}
	
	.text.paragraph {
		line-height: 18px;
		vertical-align: middle;
		cursor: pointer;
		margin-top: 0;
		margin-bottom: 0;
	}
}

.form-input-button-wrapper {
	width: 100%;
}


.form-input-search {
	width: 100%;
	appearance: none;
	
	&.has-value + .form-input-reset {
		display: block;
	}
	
	+ .form-input-reset {
		display: none;
	}
}

.form-input-reset {
	sv-txt-font: look/$font-icons;
	padding: 10px;
	position: absolute;
	right: 0;
	top: 50%;
	font-size: 30px;
	transform: translateY(-50%);
	cursor: pointer;
	appearance: none;
	border: none;
	right: 24px;
	background-color: colors/$transparent;
	outline: none;
	
	&:hover {
		color: colors/$deco1;
	}
}